import { arc } from 'd3';
import BackgroundCircle from './BackgroundCircle.js';
import Eyes from './Eyes.js';
import { Mouth } from './Mouth.js';
import Nose from './Nose.js';
import FaceContainer from './FaceContainer.js';

export default ({ width, height, centerX, centerY, strokeWidth,
                 eyeOffsetX, eyeOffsetY, eyeRadius, mouthRadius,
                 mouthWidth, innerRadius, outerRadius }) => (
  <FaceContainer
      centerX={centerX}
      centerY={centerY}
      height={height}
      width={width}
      >
      <BackgroundCircle radius={centerY - strokeWidth / 2} strokeWidth={strokeWidth} />
			<Eyes eyeOffsetX={eyeOffsetX} eyeOffsetY={eyeOffsetY} eyeRadius={eyeRadius} />
      <Mouth mouthRadius={mouthRadius} mouthWidth={mouthWidth} />
      <Nose innerRadius={innerRadius} outerRadius={outerRadius} />
		</FaceContainer>
);